{
    "name": "",
    "num_strings": {
        "cmd": {
            "AGENT_TO_SERVICE:AGENT:CONFIG+GET": [
                172,
                "cmd.AGENT_TO_SERVICE:AGENT:CONFIG+GET"
            ],
            "AGENT_TO_SERVICE:AGENT:CONSOLE+INPUT+GET": [
                108,
                "cmd.AGENT_TO_SERVICE:AGENT:CONSOLE+INPUT+GET"
            ],
            "AGENT_TO_SERVICE:AGENT:CONSOLE+INPUT+STATUS+PROCESSED+SET": [
                111,
                "cmd.AGENT_TO_SERVICE:AGENT:CONSOLE+INPUT+STATUS+PROCESSED+SET"
            ],
            "AGENT_TO_SERVICE:AGENT:CONSOLE+LIST": [
                101,
                "cmd.AGENT_TO_SERVICE:AGENT:CONSOLE+LIST"
            ],
            "AGENT_TO_SERVICE:AGENT:CONSOLE+OUTPUT+SET": [
                114,
                "cmd.AGENT_TO_SERVICE:AGENT:CONSOLE+OUTPUT+SET"
            ],
            "AGENT_TO_SERVICE:AGENT:EVENT+DATA+GET": [
                20,
                "cmd.AGENT_TO_SERVICE:AGENT:EVENT+DATA+GET"
            ],
            "AGENT_TO_SERVICE:AGENT:EVENT+NEXT+GET": [
                19,
                "cmd.AGENT_TO_SERVICE:AGENT:EVENT+NEXT+GET"
            ],
            "AGENT_TO_SERVICE:AGENT:EVENT+RESULT+ERROR+SET": [
                21,
                "cmd.AGENT_TO_SERVICE:AGENT:EVENT+RESULT+ERROR+SET"
            ],
            "AGENT_TO_SERVICE:AGENT:LOGIN": [
                87,
                "cmd.AGENT_TO_SERVICE:AGENT:LOGIN"
            ],
            "AGENT_TO_SERVICE:AGENT:PING": [
                88,
                "cmd.AGENT_TO_SERVICE:AGENT:PING"
            ],
            "AGENT_TO_SERVICE:AGENT:TUNNEL+PORT+GET": [
                167,
                "cmd.AGENT_TO_SERVICE:AGENT:TUNNEL+PORT+GET"
            ],
            "AGENT_TO_SERVICE:AGENT:TUNNEL+PORT+UPDATE": [
                180,
                "cmd.AGENT_TO_SERVICE:AGENT:TUNNEL+PORT+UPDATE"
            ],
            "AGENT_TO_SERVICE:SERVICE:HEALTH+CHECK": [
                177,
                "cmd.AGENT_TO_SERVICE:SERVICE:HEALTH+CHECK"
            ],
            "SERVICE_TO_AGENT:AGENT:TUNNEL+PORT+CLOSE": [
                163,
                "cmd.SERVICE_TO_AGENT:AGENT:TUNNEL+PORT+CLOSE"
            ],
            "SERVICE_TO_AGENT:AGENT:TUNNEL+PORT+LISTEN": [
                161,
                "cmd.SERVICE_TO_AGENT:AGENT:TUNNEL+PORT+LISTEN"
            ],
            "SERVICE_TO_AGENT:AGENT:TUNNEL+PORT+OPEN": [
                159,
                "cmd.SERVICE_TO_AGENT:AGENT:TUNNEL+PORT+OPEN"
            ],
            "TUNNEL_TO_SERVICE:TUNNEL:LOGIN": [
                148,
                "cmd.TUNNEL_TO_SERVICE:TUNNEL:LOGIN"
            ],
            "TUNNEL_TO_SERVICE:TUNNEL:PING": [
                149,
                "cmd.TUNNEL_TO_SERVICE:TUNNEL:PING"
            ],
            "USER_TO_AGENT:AGENT:CONFIG+RELOAD": [
                89,
                "cmd.USER_TO_AGENT:AGENT:CONFIG+RELOAD"
            ],
            "USER_TO_AGENT:AGENT:CONSOLE+INPUT+SET": [
                112,
                "cmd.USER_TO_AGENT:AGENT:CONSOLE+INPUT+SET"
            ],
            "USER_TO_AGENT:AGENT:RFS+FILE+CREATE": [
                136,
                "cmd.USER_TO_AGENT:AGENT:RFS+FILE+CREATE"
            ],
            "USER_TO_AGENT:AGENT:RFS+FILE+GET": [
                137,
                "cmd.USER_TO_AGENT:AGENT:RFS+FILE+GET"
            ],
            "USER_TO_AGENT:AGENT:RFS+FOLDER+CREATE": [
                138,
                "cmd.USER_TO_AGENT:AGENT:RFS+FOLDER+CREATE"
            ],
            "USER_TO_AGENT:AGENT:RFS+FOLDER+LIST": [
                139,
                "cmd.USER_TO_AGENT:AGENT:RFS+FOLDER+LIST"
            ],
            "USER_TO_AGENT:AGENT:RFS+ITEM+COPY": [
                141,
                "cmd.USER_TO_AGENT:AGENT:RFS+ITEM+COPY"
            ],
            "USER_TO_AGENT:AGENT:RFS+ITEM+DELETE": [
                142,
                "cmd.USER_TO_AGENT:AGENT:RFS+ITEM+DELETE"
            ],
            "USER_TO_AGENT:AGENT:RFS+ITEM+INFO+GET": [
                143,
                "cmd.USER_TO_AGENT:AGENT:RFS+ITEM+INFO+GET"
            ],
            "USER_TO_AGENT:AGENT:RFS+ITEM+MOVE": [
                144,
                "cmd.USER_TO_AGENT:AGENT:RFS+ITEM+MOVE"
            ],
            "USER_TO_AGENT:AGENT:RFS+ITEM+RENAME": [
                145,
                "cmd.USER_TO_AGENT:AGENT:RFS+ITEM+RENAME"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+CLOSE": [
                99,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+CLOSE"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+DELETE": [
                100,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+DELETE"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+INFO+GET": [
                97,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+INFO+GET"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+INPUT+GET": [
                109,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+INPUT+GET"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+INPUT+SET": [
                110,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+INPUT+SET"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+INTERVAL+SET": [
                107,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+INTERVAL+SET"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+LIST": [
                102,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+LIST"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+LOCK": [
                104,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+LOCK"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+NEW": [
                96,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+NEW"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+OPEN": [
                98,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+OPEN"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+OUTPUT+GET": [
                113,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+OUTPUT+GET"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+PIN": [
                103,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+PIN"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER+ADD": [
                115,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER+ADD"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER+DELETE": [
                118,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER+DELETE"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER+GET": [
                117,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER+GET"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER+LIST": [
                119,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER+LIST"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER+UPDATE": [
                116,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER+UPDATE"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER_GROUP+ADD": [
                120,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER_GROUP+ADD"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER_GROUP+DELETE": [
                123,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER_GROUP+DELETE"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER_GROUP+GET": [
                122,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER_GROUP+GET"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER_GROUP+LIST": [
                124,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER_GROUP+LIST"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER_GROUP+UPDATE": [
                121,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+RIGHT+USER_GROUP+UPDATE"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+TYPE+SET": [
                106,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+TYPE+SET"
            ],
            "USER_TO_SERVICE:AGENT:CONSOLE+UNLOCK": [
                105,
                "cmd.USER_TO_SERVICE:AGENT:CONSOLE+UNLOCK"
            ],
            "USER_TO_SERVICE:AGENT:EVENT+INFO+GET": [
                179,
                "cmd.USER_TO_SERVICE:AGENT:EVENT+INFO+GET"
            ],
            "USER_TO_SERVICE:AGENT:LFS+FILE+CREATE": [
                127,
                "cmd.USER_TO_SERVICE:AGENT:LFS+FILE+CREATE"
            ],
            "USER_TO_SERVICE:AGENT:LFS+FILE+GET": [
                128,
                "cmd.USER_TO_SERVICE:AGENT:LFS+FILE+GET"
            ],
            "USER_TO_SERVICE:AGENT:LFS+FOLDER+CREATE": [
                130,
                "cmd.USER_TO_SERVICE:AGENT:LFS+FOLDER+CREATE"
            ],
            "USER_TO_SERVICE:AGENT:LFS+FOLDER+LIST": [
                129,
                "cmd.USER_TO_SERVICE:AGENT:LFS+FOLDER+LIST"
            ],
            "USER_TO_SERVICE:AGENT:LFS+ITEM+DELETE": [
                134,
                "cmd.USER_TO_SERVICE:AGENT:LFS+ITEM+DELETE"
            ],
            "USER_TO_SERVICE:AGENT:LFS+ITEM+INFO+GET": [
                131,
                "cmd.USER_TO_SERVICE:AGENT:LFS+ITEM+INFO+GET"
            ],
            "USER_TO_SERVICE:AGENT:LFS+ITEM+MOVE": [
                133,
                "cmd.USER_TO_SERVICE:AGENT:LFS+ITEM+MOVE"
            ],
            "USER_TO_SERVICE:AGENT:LFS+ITEM+PATH+GET": [
                178,
                "cmd.USER_TO_SERVICE:AGENT:LFS+ITEM+PATH+GET"
            ],
            "USER_TO_SERVICE:AGENT:LFS+ITEM+RENAME": [
                132,
                "cmd.USER_TO_SERVICE:AGENT:LFS+ITEM+RENAME"
            ],
            "USER_TO_SERVICE:AGENT:LFS+RESET": [
                135,
                "cmd.USER_TO_SERVICE:AGENT:LFS+RESET"
            ],
            "USER_TO_SERVICE:AGENT:RFS+ACTION+STATUS+LIST": [
                146,
                "cmd.USER_TO_SERVICE:AGENT:RFS+ACTION+STATUS+LIST"
            ],
            "USER_TO_SERVICE:AGENT:RFS+FOLDER+LIST": [
                140,
                "cmd.USER_TO_SERVICE:AGENT:RFS+FOLDER+LIST"
            ],
            "USER_TO_SERVICE:AGENT:RFS+RESET": [
                147,
                "cmd.USER_TO_SERVICE:AGENT:RFS+RESET"
            ],
            "USER_TO_SERVICE:AGENT:TUNNEL+PORT+CLOSE": [
                162,
                "cmd.USER_TO_SERVICE:AGENT:TUNNEL+PORT+CLOSE"
            ],
            "USER_TO_SERVICE:AGENT:TUNNEL+PORT+GET": [
                164,
                "cmd.USER_TO_SERVICE:AGENT:TUNNEL+PORT+GET"
            ],
            "USER_TO_SERVICE:AGENT:TUNNEL+PORT+LIST": [
                165,
                "cmd.USER_TO_SERVICE:AGENT:TUNNEL+PORT+LIST"
            ],
            "USER_TO_SERVICE:AGENT:TUNNEL+PORT+LISTEN": [
                160,
                "cmd.USER_TO_SERVICE:AGENT:TUNNEL+PORT+LISTEN"
            ],
            "USER_TO_SERVICE:AGENT:TUNNEL+PORT+OPEN": [
                158,
                "cmd.USER_TO_SERVICE:AGENT:TUNNEL+PORT+OPEN"
            ],
            "USER_TO_SERVICE:AGENT:TUNNEL+PORT+UPDATE": [
                166,
                "cmd.USER_TO_SERVICE:AGENT:TUNNEL+PORT+UPDATE"
            ],
            "USER_TO_SERVICE:NONE:NONE": [
                86,
                "cmd.USER_TO_SERVICE:NONE:NONE"
            ],
            "USER_TO_SERVICE:NONE:NONE+NONE+SET": [
                169,
                "cmd.USER_TO_SERVICE:NONE:NONE+NONE+SET"
            ],
            "USER_TO_SERVICE:PAYLOAD:CREATE": [
                151,
                "cmd.USER_TO_SERVICE:PAYLOAD:CREATE"
            ],
            "USER_TO_SERVICE:PAYLOAD:DISPATCHER+LIST": [
                150,
                "cmd.USER_TO_SERVICE:PAYLOAD:DISPATCHER+LIST"
            ],
            "USER_TO_SERVICE:PAYLOAD:GET": [
                152,
                "cmd.USER_TO_SERVICE:PAYLOAD:GET"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+BLOCK": [
                12,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+BLOCK"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+COUNT": [
                7,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+COUNT"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+CREATE": [
                6,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+CREATE"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+DELETE": [
                8,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+EVENT+LIST": [
                22,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+EVENT+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+GET": [
                9,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+GET"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+LIST": [
                10,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+NOTE+GET": [
                14,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+NOTE+GET"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+NOTE+SET": [
                15,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+NOTE+SET"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+SCHEDULE+GET": [
                171,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+SCHEDULE+GET"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+SCHEDULE+SET": [
                170,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+SCHEDULE+SET"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+TAG+ADD": [
                36,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+TAG+ADD"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+TAG+BASE+CREATE": [
                40,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+TAG+BASE+CREATE"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+TAG+BASE+DELETE": [
                41,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+TAG+BASE+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+TAG+BASE+GET": [
                168,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+TAG+BASE+GET"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+TAG+BASE+LIST": [
                42,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+TAG+BASE+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+TAG+BASE+UPDATE": [
                43,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+TAG+BASE+UPDATE"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+TAG+DELETE": [
                37,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+TAG+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+TAG+LIST": [
                38,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+TAG+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+TAG+SET": [
                39,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+TAG+SET"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+TOKEN+COUNT": [
                16,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+TOKEN+COUNT"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+TOKEN+DELETE": [
                173,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+TOKEN+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+TOKEN+GET": [
                17,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+TOKEN+GET"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+TOKEN+LIST": [
                18,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+TOKEN+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+UNBLOCK": [
                13,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+UNBLOCK"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT+UPDATE": [
                11,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT+UPDATE"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT_GROUP+AGENT+ADD": [
                28,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT_GROUP+AGENT+ADD"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT_GROUP+AGENT+DELETE": [
                29,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT_GROUP+AGENT+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT_GROUP+CLIENT+KEY+ADD": [
                30,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT_GROUP+CLIENT+KEY+ADD"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT_GROUP+CLIENT+KEY+DELETE": [
                31,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT_GROUP+CLIENT+KEY+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT_GROUP+CLIENT+KEY+LIST": [
                32,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT_GROUP+CLIENT+KEY+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT_GROUP+CREATE": [
                23,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT_GROUP+CREATE"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT_GROUP+DELETE": [
                24,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT_GROUP+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT_GROUP+GET": [
                25,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT_GROUP+GET"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT_GROUP+LIST": [
                26,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT_GROUP+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT_GROUP+UPDATE": [
                27,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT_GROUP+UPDATE"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT_GROUP+USER_GROUP+ADD": [
                33,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT_GROUP+USER_GROUP+ADD"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT_GROUP+USER_GROUP+DELETE": [
                34,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT_GROUP+USER_GROUP+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:AGENT_GROUP+USER_GROUP+LIST": [
                35,
                "cmd.USER_TO_SERVICE:SERVICE:AGENT_GROUP+USER_GROUP+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+HANDSHAKE+KEY+CREATE": [
                81,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+HANDSHAKE+KEY+CREATE"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+HANDSHAKE+KEY+DELETE": [
                83,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+HANDSHAKE+KEY+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+HANDSHAKE+KEY+GET": [
                85,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+HANDSHAKE+KEY+GET"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+HANDSHAKE+KEY+LIST": [
                84,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+HANDSHAKE+KEY+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+HANDSHAKE+KEY+UPDATE": [
                82,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+HANDSHAKE+KEY+UPDATE"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+KEY+CREATE": [
                76,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+KEY+CREATE"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+KEY+DELETE": [
                77,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+KEY+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+KEY+GET": [
                79,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+KEY+GET"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+KEY+LIST": [
                78,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+KEY+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+KEY+UPDATE": [
                80,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+KEY+UPDATE"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+SCHEMA+CREATE": [
                2,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+SCHEMA+CREATE"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+SCHEMA+DELETE": [
                4,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+SCHEMA+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+SCHEMA+GET": [
                1,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+SCHEMA+GET"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+SCHEMA+LIST": [
                5,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+SCHEMA+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+SCHEMA+UPDATE": [
                3,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+SCHEMA+UPDATE"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+VERSION+CREATE": [
                71,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+VERSION+CREATE"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+VERSION+DELETE": [
                74,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+VERSION+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+VERSION+GET": [
                75,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+VERSION+GET"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+VERSION+LIST": [
                73,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+VERSION+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:CLIENT+VERSION+UPDATE": [
                72,
                "cmd.USER_TO_SERVICE:SERVICE:CLIENT+VERSION+UPDATE"
            ],
            "USER_TO_SERVICE:SERVICE:HEALTH+CHECK": [
                183,
                "cmd.USER_TO_SERVICE:SERVICE:HEALTH+CHECK"
            ],
            "USER_TO_SERVICE:SERVICE:HTTP+SHUTDOWN": [
                125,
                "cmd.USER_TO_SERVICE:SERVICE:HTTP+SHUTDOWN"
            ],
            "USER_TO_SERVICE:SERVICE:PROJECT+CREATE": [
                59,
                "cmd.USER_TO_SERVICE:SERVICE:PROJECT+CREATE"
            ],
            "USER_TO_SERVICE:SERVICE:PROJECT+DELETE": [
                60,
                "cmd.USER_TO_SERVICE:SERVICE:PROJECT+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:PROJECT+GET": [
                61,
                "cmd.USER_TO_SERVICE:SERVICE:PROJECT+GET"
            ],
            "USER_TO_SERVICE:SERVICE:PROJECT+LIST": [
                62,
                "cmd.USER_TO_SERVICE:SERVICE:PROJECT+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:PROJECT+UPDATE": [
                63,
                "cmd.USER_TO_SERVICE:SERVICE:PROJECT+UPDATE"
            ],
            "USER_TO_SERVICE:SERVICE:PROXY+ADD": [
                153,
                "cmd.USER_TO_SERVICE:SERVICE:PROXY+ADD"
            ],
            "USER_TO_SERVICE:SERVICE:PROXY+DELETE": [
                154,
                "cmd.USER_TO_SERVICE:SERVICE:PROXY+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:PROXY+GET": [
                157,
                "cmd.USER_TO_SERVICE:SERVICE:PROXY+GET"
            ],
            "USER_TO_SERVICE:SERVICE:PROXY+LIST": [
                155,
                "cmd.USER_TO_SERVICE:SERVICE:PROXY+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:PROXY+UPDATE": [
                156,
                "cmd.USER_TO_SERVICE:SERVICE:PROXY+UPDATE"
            ],
            "USER_TO_SERVICE:SERVICE:RESET": [
                176,
                "cmd.USER_TO_SERVICE:SERVICE:RESET"
            ],
            "USER_TO_SERVICE:SERVICE:RIGHT+CREATE": [
                64,
                "cmd.USER_TO_SERVICE:SERVICE:RIGHT+CREATE"
            ],
            "USER_TO_SERVICE:SERVICE:RIGHT+DELETE": [
                66,
                "cmd.USER_TO_SERVICE:SERVICE:RIGHT+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:RIGHT+GET": [
                65,
                "cmd.USER_TO_SERVICE:SERVICE:RIGHT+GET"
            ],
            "USER_TO_SERVICE:SERVICE:RIGHT+LIST": [
                68,
                "cmd.USER_TO_SERVICE:SERVICE:RIGHT+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:RIGHT+UPDATE": [
                67,
                "cmd.USER_TO_SERVICE:SERVICE:RIGHT+UPDATE"
            ],
            "USER_TO_SERVICE:SERVICE:SHUTDOWN": [
                175,
                "cmd.USER_TO_SERVICE:SERVICE:SHUTDOWN"
            ],
            "USER_TO_SERVICE:SERVICE:TCP+SHUTDOWN": [
                126,
                "cmd.USER_TO_SERVICE:SERVICE:TCP+SHUTDOWN"
            ],
            "USER_TO_SERVICE:SERVICE:USER+COUNT": [
                49,
                "cmd.USER_TO_SERVICE:SERVICE:USER+COUNT"
            ],
            "USER_TO_SERVICE:SERVICE:USER+CREATE": [
                44,
                "cmd.USER_TO_SERVICE:SERVICE:USER+CREATE"
            ],
            "USER_TO_SERVICE:SERVICE:USER+CURRENT+GET": [
                51,
                "cmd.USER_TO_SERVICE:SERVICE:USER+CURRENT+GET"
            ],
            "USER_TO_SERVICE:SERVICE:USER+DELETE": [
                45,
                "cmd.USER_TO_SERVICE:SERVICE:USER+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:USER+GET": [
                46,
                "cmd.USER_TO_SERVICE:SERVICE:USER+GET"
            ],
            "USER_TO_SERVICE:SERVICE:USER+LIST": [
                47,
                "cmd.USER_TO_SERVICE:SERVICE:USER+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:USER+LOCALE+GET": [
                182,
                "cmd.USER_TO_SERVICE:SERVICE:USER+LOCALE+GET"
            ],
            "USER_TO_SERVICE:SERVICE:USER+LOCALE+SET": [
                181,
                "cmd.USER_TO_SERVICE:SERVICE:USER+LOCALE+SET"
            ],
            "USER_TO_SERVICE:SERVICE:USER+LOGIN": [
                91,
                "cmd.USER_TO_SERVICE:SERVICE:USER+LOGIN"
            ],
            "USER_TO_SERVICE:SERVICE:USER+LOGOUT": [
                95,
                "cmd.USER_TO_SERVICE:SERVICE:USER+LOGOUT"
            ],
            "USER_TO_SERVICE:SERVICE:USER+PASSWORD+CHECK": [
                50,
                "cmd.USER_TO_SERVICE:SERVICE:USER+PASSWORD+CHECK"
            ],
            "USER_TO_SERVICE:SERVICE:USER+PING": [
                93,
                "cmd.USER_TO_SERVICE:SERVICE:USER+PING"
            ],
            "USER_TO_SERVICE:SERVICE:USER+UPDATE": [
                48,
                "cmd.USER_TO_SERVICE:SERVICE:USER+UPDATE"
            ],
            "USER_TO_SERVICE:SERVICE:USER_GROUP+CREATE": [
                52,
                "cmd.USER_TO_SERVICE:SERVICE:USER_GROUP+CREATE"
            ],
            "USER_TO_SERVICE:SERVICE:USER_GROUP+DELETE": [
                53,
                "cmd.USER_TO_SERVICE:SERVICE:USER_GROUP+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:USER_GROUP+GET": [
                54,
                "cmd.USER_TO_SERVICE:SERVICE:USER_GROUP+GET"
            ],
            "USER_TO_SERVICE:SERVICE:USER_GROUP+LIST": [
                55,
                "cmd.USER_TO_SERVICE:SERVICE:USER_GROUP+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:USER_GROUP+RIGHT+ADD": [
                69,
                "cmd.USER_TO_SERVICE:SERVICE:USER_GROUP+RIGHT+ADD"
            ],
            "USER_TO_SERVICE:SERVICE:USER_GROUP+RIGHT+DELETE": [
                70,
                "cmd.USER_TO_SERVICE:SERVICE:USER_GROUP+RIGHT+DELETE"
            ],
            "USER_TO_SERVICE:SERVICE:USER_GROUP+RIGHT+LIST": [
                174,
                "cmd.USER_TO_SERVICE:SERVICE:USER_GROUP+RIGHT+LIST"
            ],
            "USER_TO_SERVICE:SERVICE:USER_GROUP+UPDATE": [
                56,
                "cmd.USER_TO_SERVICE:SERVICE:USER_GROUP+UPDATE"
            ],
            "USER_TO_SERVICE:SERVICE:USER_GROUP+USER+ADD": [
                57,
                "cmd.USER_TO_SERVICE:SERVICE:USER_GROUP+USER+ADD"
            ],
            "USER_TO_SERVICE:SERVICE:USER_GROUP+USER+DELETE": [
                58,
                "cmd.USER_TO_SERVICE:SERVICE:USER_GROUP+USER+DELETE"
            ],
            "USER_TO_SERVICE:USER:LOGIN": [
                90,
                "cmd.USER_TO_SERVICE:USER:LOGIN"
            ],
            "USER_TO_SERVICE:USER:LOGOUT": [
                94,
                "cmd.USER_TO_SERVICE:USER:LOGOUT"
            ],
            "USER_TO_SERVICE:USER:PING": [
                92,
                "cmd.USER_TO_SERVICE:USER:PING"
            ]
        },
        "crypto": {
            "cipher": {
                "AES_CTR": [
                    9,
                    "crypto.cipher.AES_CTR"
                ],
                "NONE": [
                    0,
                    "crypto.cipher.NONE"
                ],
                "RC4": [
                    8,
                    "crypto.cipher.RC4"
                ],
                "RSA_PKCS1_OAEP_SHA256": [
                    7,
                    "crypto.cipher.RSA_PKCS1_OAEP_SHA256"
                ],
                "XOR": [
                    1,
                    "crypto.cipher.XOR"
                ],
                "XOR_16": [
                    5,
                    "crypto.cipher.XOR_16"
                ],
                "XOR_2": [
                    2,
                    "crypto.cipher.XOR_2"
                ],
                "XOR_32": [
                    6,
                    "crypto.cipher.XOR_32"
                ],
                "XOR_4": [
                    3,
                    "crypto.cipher.XOR_4"
                ],
                "XOR_8": [
                    4,
                    "crypto.cipher.XOR_8"
                ]
            }
        }
    },
    "nums": {
        "event": {
            "action": {
                "ADD": 30,
                "BLOCK": 18,
                "CANCEL": 45,
                "CHECK": 51,
                "CLOSE": 3,
                "COPY": 37,
                "COUNT": 42,
                "CREATE": 26,
                "DELETE": 28,
                "DOWNLOAD": 14,
                "EXECUTE": 29,
                "EXPORT": 53,
                "GET": 11,
                "IMPORT": 52,
                "INPUT": 5,
                "INSTALL": 23,
                "LIST": 25,
                "LISTEN": 55,
                "LOCK": 40,
                "LOGIN": 2,
                "LOGOUT": 50,
                "MIGRATE": 21,
                "MOVE": 36,
                "NEW": 1,
                "NONE": 0,
                "OPEN": 4,
                "OUTPUT": 6,
                "PARSE": 43,
                "PIN": 39,
                "PING": 15,
                "PONG": 16,
                "READ": 7,
                "REBOOT": 20,
                "RECEIVE": 10,
                "REDIRECT": 56,
                "RELOAD": 54,
                "RELOGIN": 49,
                "RENAME": 38,
                "REQUEST": 31,
                "RESET": 44,
                "RESPONSE": 32,
                "RUN": 24,
                "SEND": 9,
                "SET": 12,
                "SHUTDOWN": 47,
                "START": 34,
                "STOP": 33,
                "SYNC": 35,
                "THROTTLE": 48,
                "TICK": 17,
                "UNBLOC": 19,
                "UNBLOCK": 46,
                "UNINSTALL": 22,
                "UNLOCK": 41,
                "UPDATE": 27,
                "UPLOAD": 13,
                "WRITE": 8
            },
            "category": {
                "ACCESS": 36,
                "ACTION": 46,
                "AGENT": 1,
                "AGENT_GROUP": 2,
                "ALIAS": 58,
                "BASE": 70,
                "CLIENT": 59,
                "COMMAND": 26,
                "CONFIG": 66,
                "CONSOLE": 13,
                "CURRENT": 65,
                "DATA": 47,
                "DEBUG": 62,
                "DEVICE": 19,
                "DISPATCHER": 68,
                "ERROR": 28,
                "EVENT": 10,
                "FILE": 17,
                "FILE_MANAGER": 16,
                "FOLDER": 18,
                "GLOBAL": 32,
                "HANDLER": 23,
                "HANDSHAKE": 67,
                "HEALTH": 72,
                "HISTORY": 33,
                "HTTP": 38,
                "INFO": 20,
                "INPUT": 14,
                "INTERNAL": 54,
                "INTERVAL": 50,
                "ITEM": 43,
                "KEY": 3,
                "LFS": 42,
                "LOCALE": 73,
                "MODULE": 22,
                "MULTI_PART": 24,
                "NAME": 48,
                "NEXT": 29,
                "NEXT_EVENT": 11,
                "NEXT_EVENT_LIST": 12,
                "NONE": 0,
                "NOTE": 25,
                "OUTPUT": 15,
                "PASSWORD": 64,
                "PATH": 56,
                "PAYLOAD": 55,
                "PENDING": 27,
                "PORT": 69,
                "PROCESSED": 30,
                "PROJECT": 7,
                "PROXY": 61,
                "RAW": 51,
                "REQUEST": 39,
                "RESPONSE": 40,
                "RESULT": 8,
                "RFS": 45,
                "RIGHT": 35,
                "SCHEDULE": 71,
                "SCHEMA": 63,
                "SERVICE": 6,
                "STATUS": 9,
                "STREAM": 49,
                "TAG": 57,
                "TCP": 52,
                "TEMP": 41,
                "TLS": 53,
                "TOKEN": 31,
                "TUNNEL": 21,
                "TYPE": 37,
                "USER": 4,
                "USER_GROUP": 5,
                "VERSION": 60
            },
            "data_type": {
                "BINARY": 1,
                "FS_DATA": 2,
                "INTERNAL": 3,
                "NONE": 0
            },
            "kind": {
                "AGENT_TO_SERVICE": 11,
                "FIBER": 41,
                "NONE": 0,
                "SERVICE": 1,
                "SERVICE_TO_AGENT": 30,
                "SERVICE_TO_TUNNEL": 32,
                "SERVICE_TO_USER": 31,
                "TUNNEL_TO_SERVICE": 40,
                "USER_TO_AGENT": 21,
                "USER_TO_SERVICE": 22
            },
            "opt": {
                "CLEANED": 11,
                "CLEANUP": 10,
                "CLEANUP_FULL": 26,
                "CLOSED": 9,
                "COMMAND_COUNT": 13,
                "COMMAND_CURRENT_INDEX": 14,
                "CREATED_EXTERNAL": 17,
                "DATA": 1,
                "DATA_ONLY": 18,
                "DATA_PATH": 12,
                "DEST": 4,
                "DISPATCHED": 25,
                "EMPTY": 19,
                "ERROR": 20,
                "ERROR_DATA": 21,
                "ERROR_DATA_SIZE": 22,
                "EVENT_TOKEN_UUID": 8,
                "GROUP": 6,
                "INTERNAL": 27,
                "LAST_RESULT": 16,
                "NEXT_COMMAND": 15,
                "NONE": 0,
                "PROJECT": 5,
                "RECEIVER_TYPE": 24,
                "RECEIVER_UUID": 23,
                "SOURCE_EVENT": 7
            },
            "owner_type": {
                "AGENT": 1,
                "NONE": 0,
                "SERVICE": 3,
                "USER": 2
            },
            "status": {
                "AGENT_ERROR": 30,
                "COMPLETED": 5,
                "DISPATCHED": 22,
                "DISPATCH_ERROR": 23,
                "ERROR_ON_AGENT_ERROR": 32,
                "ERROR_ON_AGENT_RESULT": 31,
                "LOAD_DATA_ERROR": 21,
                "LOAD_META_ERROR": 20,
                "NEW": 1,
                "NONE": 0,
                "PARSE_ERROR": 100,
                "PROCESSED": 3,
                "RECEIVED": 2,
                "UNKNOWN_ERROR": 15
            },
            "type": {
                "EMPTY": 3,
                "ERROR": 5,
                "NONE": 0,
                "RESULT": 1,
                "RESULT_ERROR": 2,
                "SERVICE_CANCEL": 4
            }
        },
        "response_type": {
            "DATA": 1,
            "ERROR": 4,
            "EVENT": 2,
            "EVENT_BODY": 3,
            "NONE": 0
        }
    },
    "project_uuid": "00000000-0000-0000-0000-000000000000",
    "strings": {
        "event": {
            "field": {
                "_": "field",
                "action": "action",
                "category": "category",
                "cmd_id": "cmd_id",
                "cmd_tag": "cmd_tag",
                "created": "created",
                "data": "data",
                "data_max_size": "data_max_size",
                "data_size": "data_size",
                "data_type": "data_type",
                "dest": "dest",
                "err": "err",
                "err_size": "err_size",
                "expired": "expired",
                "kind": "kind",
                "meta": "meta",
                "meta_size": "meta_size",
                "owner_uuid": "owner_uuid",
                "priority": "priority",
                "response": {
                    "_": "response",
                    "base64": "base64",
                    "data_only": "data_only",
                    "encrypt": "encrypt",
                    "exist": "exist",
                    "filename": "filename",
                    "handler": "handler",
                    "max_trash_size": "max_trash_size",
                    "min_trash_size": "min_trash_size",
                    "send_file": "send_file",
                    "type": "type",
                    "type_from_file": "type_from_file"
                },
                "status": "status",
                "type": "type",
                "uuid": "uuid",
                "virtual_uuid": "virtual_uuid"
            }
        }
    },
    "uuid": "00000000-0000-0000-0000-000000000000",
    "value": ""
}